//
//  SPK_CalligraphyStrokesRecorder.h
//  SPK-Calligraphy
//
//  Created by Toby Harris on 25/03/2009.
//  Copyright (c) 2009 *spark audiovisual. All rights reserved.
//
//  'SPK-Calligraphy' is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  'SPK-Calligraphy' is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#import <Quartz/Quartz.h>

@interface SPK_CalligraphyStrokesRecorder : QCPlugIn
{
	NSMutableArray* lineStructure;
	NSMutableArray*	linesArray;
	double			originX, originY;
}

/*
 Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
 @property double inputFoo;
 @property(assign) NSString* outputBar;
 You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
 */

@property			double			inputX, inputY, inputP;
@property			BOOL			inputReset, inputPurgeLastStroke, inputStroking, inputSetOriginSignal;

@property(assign)	NSArray*		outputStructureOfLineStructures;

@end

